> For the complete documentation index, see [llms.txt](https://docs.altum.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.altum.ai/woningdata/auto-suggestie-api/authentication-input-and-response.md).

# Authenticatie, invoer en resultaat

## Ontvang suggesties voor adressen van onroerend goedobjecten van Altum AI.

<mark style="color:blue;">`GET`</mark> `https://api.altum.ai/autosuggest/v2?search={string}`

Met dit eindpunt kunt u vijf (5) suggesties krijgen op basis van uw queryparameters. Het heeft minimaal één (1) teken nodig en reageert met de beste suggesties.

#### Query Parameters

| Name                                     | Type    | Description                                                                                                                                                                                                                                                   |
| ---------------------------------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| fuzzy                                    | boolean | Of je nu vage resultaten nodig hebt of niet. Dit kan True, 1 of yes.                                                                                                                                                                                          |
| search<mark style="color:red;">\*</mark> | string  | Postcode, Huisnummer, Huisnummertoevoegingen en Straatnamen kunnen via de zoekparameter als zoekopdracht worden doorgegeven.                                                                                                                                  |
| limit                                    | int     | Maximaal aantal suggesties als reactie                                                                                                                                                                                                                        |
| offset                                   | int     | <p>Geheel getal gebruikt voor paginering dat het aantal items weergeeft dat moet worden overgeslagen vanaf het begin van het beoogde antwoord.<br>Een offset van 10 betekent bijvoorbeeld dat “de eerste 10 records negeert en daarna alles retourneert.”</p> |

#### Headers

| Name         | Type   | Description                                                                                              |
| ------------ | ------ | -------------------------------------------------------------------------------------------------------- |
| Content-Type | string | application/json                                                                                         |
| x-api-key    | string | Unieke API-sleutel van Altum. Maak er een op [https://platform.altum.ai](https://platform.altum.ai/auth) |

{% tabs %}
{% tab title="200: OK Succesvolle reactie" %}

```
[
	{
		"bagid": "0114010000295134",
		"houseaddress": "7887VD-11-",
		"postcode": "7887VD",
		"housenumber": "11",
		"houseaddition": null,
		"street": "Amsterdamscheveldlaan",
		"city": "Erica",
		"province": "Drenthe"
	},
	{
		"bagid": "1708010000017631",
		"houseaddress": "8338KC-6-",
		"postcode": "8338KC",
		"housenumber": "6",
		"houseaddition": null,
		"street": "Amsterdamselaan",
		"city": "Willemsoord",
		"province": "Overijssel"
	},
	{
		"bagid": "0424010000000631",
		"houseaddress": "1398BL-1-",
		"postcode": "1398BL",
		"housenumber": "1",
		"houseaddition": null,
		"street": "Amsterdamsepoort",
		"city": "Muiden",
		"province": "Noord-Holland"
	},
	{
		"bagid": "0114010000386075",
		"houseaddress": "7887VD-10-",
		"postcode": "7887VD",
		"housenumber": "10",
		"houseaddition": null,
		"street": "Amsterdamscheveldlaan",
		"city": "Erica",
		"province": "Drenthe"
	},
	{
		"bagid": "1708010000015107",
		"houseaddress": "8338KC-4-",
		"postcode": "8338KC",
		"housenumber": "4",
		"houseaddition": null,
		"street": "Amsterdamselaan",
		"city": "Willemsoord",
		"province": "Overijssel"
	},
	{
		"bagid": "1708010000010998",
		"houseaddress": "8338KC-2-",
		"postcode": "8338KC",
		"housenumber": "2",
		"houseaddition": null,
		"street": "Amsterdamselaan",
		"city": "Willemsoord",
		"province": "Overijssel"
	},
	{
		"bagid": "0114010000385731",
		"houseaddress": "7887VD-1-",
		"postcode": "7887VD",
		"housenumber": "1",
		"houseaddition": null,
		"street": "Amsterdamscheveldlaan",
		"city": "Erica",
		"province": "Drenthe"
	},
	{
		"bagid": "0114010000302108",
		"houseaddress": "7887VD-9-",
		"postcode": "7887VD",
		"housenumber": "9",
		"houseaddition": null,
		"street": "Amsterdamscheveldlaan",
		"city": "Erica",
		"province": "Drenthe"
	},
	{
		"bagid": "0034010000089763",
		"houseaddress": "1324RL-1-B",
		"postcode": "1324RL",
		"housenumber": "1",
		"houseaddition": "B",
		"street": "Amsterdamweg",
		"city": "Almere",
		"province": "Flevoland"
	},
	{
		"bagid": "0034010000004792",
		"houseaddress": "1324RR-46-",
		"postcode": "1324RR",
		"housenumber": "46",
		"houseaddition": null,
		"street": "Amsterdamweg",
		"city": "Almere",
		"province": "Flevoland"
	},
	{
		"bagid": "0034010000004820",
		"houseaddress": "1324RS-64-",
		"postcode": "1324RS",
		"housenumber": "64",
		"houseaddition": null,
		"street": "Amsterdamweg",
		"city": "Almere",
		"province": "Flevoland"
	},
	{
		"bagid": "0034010000004823",
		"houseaddress": "1324RS-58-",
		"postcode": "1324RS",
		"housenumber": "58",
		"houseaddition": null,
		"street": "Amsterdamweg",
		"city": "Almere",
		"province": "Flevoland"
	},
	{
		"bagid": "0034010000006470",
		"houseaddress": "1324RP-6-",
		"postcode": "1324RP",
		"housenumber": "6",
		"houseaddition": null,
		"street": "Amsterdamweg",
		"city": "Almere",
		"province": "Flevoland"
	},
	{
		"bagid": "0034010000037639",
		"houseaddress": "1324RL-11-",
		"postcode": "1324RL",
		"housenumber": "11",
		"houseaddition": null,
		"street": "Amsterdamweg",
		"city": "Almere",
		"province": "Flevoland"
	},
	{
		"bagid": "0034010000004818",
		"houseaddress": "1324RS-68-",
		"postcode": "1324RS",
		"housenumber": "68",
		"houseaddition": null,
		"street": "Amsterdamweg",
		"city": "Almere",
		"province": "Flevoland"
	}
]
```

{% endtab %}

{% tab title="400: Bad Request Mislukte reactie" %}

```
{
    "Output": "Could not find any object with your search query"
}
```

{% endtab %}

{% tab title="422: Unprocessable Entity Verkeerd invoerformaat" %}

```
{
    "errors": {
        "postcode": "Unsupported postcode length, it should be six."
    },
    "message": "Input payload validation failed"
}

OR

{
    "errors": {
        "postcode": "Unsupported postcode format, it should consist of four numbers following by two letters."
    },
    "message": "Input payload validation failed"
}
```

{% endtab %}

{% tab title="500: Internal Server Error Service is niet beschikbaar en/of niet beschikbaar" %}

```
{
	"message": "Internal server error"
}
```

{% endtab %}

{% tab title="403: Forbidden Verboden" %}

```
{
	"message": "Missing Authentication Token"
}
```

{% endtab %}

{% tab title="401: Unauthorized Geen toegang" %}

```
{
    'Output': 'Please use https://api.altum.ai or visit https://mopsus.altum.ai to make your request.'
}
```

{% endtab %}

{% tab title="429: Too Many Requests API-sleutellimiet overschreden" %}

{% endtab %}
{% endtabs %}

{% hint style="info" %}
**Schakel** fuzzy in om query's met meerdere tekenreeksen te ondersteunen. Lees hier meer over ondersteuning voor fuzzy [zoeken](https://app.gitbook.com/o/pLuAKZrbll04y6968KwP/s/IwWsiEEEkUfFQ6Z7raKt/~/changes/207/apis/auto-suggest-api/fuzzy-search-support).
{% endhint %}

## Request query

#### Voorbeeld verzoek

```
https://api.altum.ai/autosuggest/v2?search=1181TV
https://api.altum.ai/autosuggest/v2?search=3947BA-1-b
https://api.altum.ai/autosuggest/v2?search=bellefleurho5&fuzzy=1
https://api.altum.ai/autosuggest/v2?search=bellefleurho%205&fuzzy=yes
https://api.altum.ai/autosuggest/v2?search=bellefleurho%205&fuzzy=true&limit=5
```

Spaties moeten worden ingestuurd als `%20`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.altum.ai/woningdata/auto-suggestie-api/authentication-input-and-response.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
